{
  "name": "vite-project",
  "private": true,
  "version": "0.0.0",
  "type": "module",
  "scripts": {
    "start": "npm run extract && npm run compile && vite",
    "build": "npm run extract && npm run compile && tsc && vite build",
    "serve": "vite preview",
    "extract": "lingui extract --clean",
    "compile": "lingui compile",
    "format": "prettier --config ./.prettierrc --write src/**/*.{ts,tsx,js,jsx}"
  },
  "dependencies": {
    "@ant-design/colors": "^7.0.0",
    "@ant-design/icons": "^4.8.0",
    "@tanstack/react-query": "^4.20.4",
    "antd": "^5.1.2",
    "axios": "^1.2.2",
    "konva": "^8.3.14",
    "lodash-es": "^4.17.21",
    "pdfjs-dist": "^3.4.120",
    "prop-types": "^15.8.1",
    "react": "^18.2.0",
    "react-csv": "^2.2.2",
    "react-dom": "^18.2.0",
    "react-json-view-lite": "^0.9.6",
    "react-konva": "^18.2.3",
    "react-konva-utils": "^0.3.1",
    "react-router-dom": "^6.6.1",
    "styled-components": "^5.3.6",
    "usehooks-ts": "^2.9.1",
    "uuid": "^9.0.0"
  },
  "devDependencies": {
    "@babel/plugin-syntax-jsx": "^7.18.6",
    "@babel/preset-typescript": "^7.18.6",
    "@babel/runtime": "^7.20.13",
    "@lingui/cli": "^3.17.0",
    "@lingui/core": "^3.17.0",
    "@lingui/macro": "^3.17.0",
    "@lingui/react": "^3.17.0",
    "@types/lodash-es": "^4.17.6",
    "@types/react": "^18.0.26",
    "@types/react-dom": "^18.0.9",
    "@types/styled-components": "^5.1.26",
    "@types/uuid": "^9.0.0",
    "@vitejs/plugin-react": "^3.0.0",
    "babel-plugin-macros": "^3.1.0",
    "make-plural": "^7.2.0",
    "prettier": "^2.8.3",
    "prettier-plugin-organize-imports": "^3.2.2",
    "typescript": "^4.9.3",
    "vite": "^4.0.0",
    "vite-tsconfig-paths": "^4.0.5"
  }
}
